%define upstream_name    DVD-Read
%define upstream_version 0.04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 26

Summary:	Access to DVD IFO file using libdvdread
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/DVD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	pkgconfig(dvdread)
BuildRequires:	perl-devel


%description
This module provide way to query video DVD using libdvdread.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes README sample/* META.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.40.0-26.mga9
+ Revision: 1861874
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.40.0-25.mga9
+ Revision: 1795728
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.40.0-24.mga9
+ Revision: 1726569
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.40.0-23.mga8
+ Revision: 1594573
- Rebuild for perl 5.32

* Wed Apr 22 2020 luigiwalser <luigiwalser> 0.40.0-22.mga8
+ Revision: 1571025
- rebuild for libdvdread

* Tue Feb 18 2020 umeabot <umeabot> 0.40.0-21.mga8
+ Revision: 1538240
- Mageia 8 Mass Rebuild

* Sun Nov 17 2019 daviddavid <daviddavid> 0.40.0-20.mga8
+ Revision: 1461388
- rebuild for new libdvdread 6.0.2

* Tue Aug 27 2019 tmb <tmb> 0.40.0-19.mga8
+ Revision: 1433565
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.40.0-18.mga7
+ Revision: 1292679
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.40.0-17.mga7
+ Revision: 1249320
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.40.0-16.mga7
+ Revision: 1164284
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.40.0-15.mga7
+ Revision: 1148874
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.40.0-14.mga7
+ Revision: 1126783
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-13.mga6
+ Revision: 1026855
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.40.0-12.mga6
+ Revision: 957237
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.40.0-11.mga6
+ Revision: 843751
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-10.mga5
+ Revision: 745437
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-9.mga5
+ Revision: 684159
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.40.0-8.mga5
+ Revision: 631011
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-7.mga4
+ Revision: 524292
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-6.mga4
+ Revision: 430617
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-5.mga3
+ Revision: 365235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-4.mga3
+ Revision: 250582
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.40.0-3.mga2
+ Revision: 104231
- perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.40.0-2.mga1
+ Revision: 36868
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 30054
- mageia rebuild
- imported package perl-DVD-Read


* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.1
+ Revision: 532140
- update to 0.04

* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.1
+ Revision: 505724
- rebuild using %%perl_convert_version

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.03-2mdv2010.0
+ Revision: 440553
- rebuild

* Tue Nov 25 2008 Olivier Thauvin <nanardon@mandriva.org> 0.03-1mdv2009.1
+ Revision: 306493
- import perl-DVD-Read


